#if !defined(AFX_ADVANCEDSEARCH_H__F360B0E9_C60B_449A_9A51_26C9C6E59478__INCLUDED_)
#define AFX_ADVANCEDSEARCH_H__F360B0E9_C60B_449A_9A51_26C9C6E59478__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AdvancedSearch.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// AdvancedSearch dialog

class AdvancedSearch : public CDialog
{
// Construction
public:
	AdvancedSearch(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(AdvancedSearch)
	enum { IDD = IDD_AdvancedSearch };
	CListBox	m_objectList;
	BOOL	m_actuator;
	BOOL	m_broken;
	BOOL	m_clothes;
	BOOL	m_cursed;
	BOOL	m_important;
	BOOL	m_invisible;
	BOOL	m_miscellaneous;
	BOOL	m_monsters;
	BOOL	m_poisoned;
	BOOL	m_potions;
	BOOL	m_scrolls;
	BOOL	m_size4;
	BOOL	m_teleporter;
	BOOL	m_unique;
	BOOL	m_weapons;
	BOOL	m_chests;
	CString	m_objectID;
	UINT	m_portraitNumber;
	int		m_objectCount;
	UINT	m_DSA;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(AdvancedSearch)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(AdvancedSearch)
	afx_msg void OnListAll();
	afx_msg void OnShowObjectLocations();
	afx_msg void OnClassInclude();
	afx_msg void OnClassRemove();
	afx_msg void OnFlagsInclude();
	afx_msg void OnFlagsRemove();
	afx_msg void OnObjectIDInclude();
	afx_msg void OnIncludePortraitNum();
	afx_msg void OnIncludeDSA();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
  void AddOneToList(const RN obj, const LOCATIONREL& locr);
  void AddAllToList(const RN obj, const LOCATIONREL& locr);
  void AddObject(const RN obj, const LOCATIONREL& locr, CString name);
  bool IsInClass(const RN obj);
  bool HasFlag(const RN obj);


};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADVANCEDSEARCH_H__F360B0E9_C60B_449A_9A51_26C9C6E59478__INCLUDED_)
