#if !defined(AFX_EDITMONSTER_H__712095E1_FFB6_11D6_A264_9E683E5C592A__INCLUDED_)
#define AFX_EDITMONSTER_H__712095E1_FFB6_11D6_A264_9E683E5C592A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditMonster.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditMonster dialog

class EditMonster : public CDialog
{
// Construction
public:
	EditMonster(LOCATIONREL locr,
              RN RNmonster,
              CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EditMonster)
	enum { IDD = IDD_DLG_EditMonster };
	CObjectListBox	m_possessionList;
	CComboBox	m_monsterList;
	int		m_facing;
	int		m_numMonster;
	UINT	m_hitPoints0;
	UINT	m_hitPoints1;
	UINT	m_hitPoints2;
	UINT	m_hitPoints3;
	UINT	m_position0;
	UINT	m_position1;
	UINT	m_position2;
	UINT	m_position3;
	BOOL	m_infiniteHP0;
	BOOL	m_infiniteHP1;
	BOOL	m_infiniteHP2;
	BOOL	m_infiniteHP3;
	BOOL	m_invisible;
	BOOL	m_drawAsSize4;
	BOOL	m_unique;
	BOOL	m_poisoned;
	int		m_graphics;
	//}}AFX_DATA

  LOCATIONREL m_locr;
  RN m_RNmonster;
  DB4 *m_pMonster;
  MONSTERTYPE m_monsterType;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditMonster)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EditMonster)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnNew();
	afx_msg void OnDelete();
	afx_msg void OnEdit();
	afx_msg void OnPop();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnInfiniteHP0();
	afx_msg void OnInfiniteHP1();
	afx_msg void OnInfiniteHP2();
	afx_msg void OnInfiniteHP3();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  void ExtractDataFromRecord(void);
  bool EncodeDataIntoRecord(void);
  void AddObjectToPossessions(RN obj);
  void Show(int id, bool show);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITMONSTER_H__712095E1_FFB6_11D6_A264_9E683E5C592A__INCLUDED_)
