#if !defined(AFX_EDITSWAPOBJECT_H__FD36A640_E4E1_11D6_A264_A19B7AE2B7E9__INCLUDED_)
#define AFX_EDITSWAPOBJECT_H__FD36A640_E4E1_11D6_A264_A19B7AE2B7E9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditSwapObject.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditSwapObject dialog

class EditSwapObject : public CDialog
{
// Construction
public:
	EditSwapObject(LOCATIONREL locr, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EditSwapObject)
	enum { IDD = IDD_DLG_EditSwapObject };
	CComboBox	m_activatedBy;
	CComboBox	m_graphic;
	UINT	m_column;
	UINT	m_row;
	BOOL	m_rotate;
	BOOL	m_onceOnly;
	BOOL	m_audible;
	BOOL	m_clear;
	BOOL	m_set;
	BOOL	m_skill;
	BOOL	m_toggle;
	UINT	m_delay;
	int		m_position;
	//}}AFX_DATA

  LOCATIONREL m_locr;
  ACTUATOR_SwapObject *m_pSwapObject;
  int m_value;
  MODIFIEDOBJECTTYPE m_neededObject;
  int m_neededObjectIndex;
  ACTUATORACTION m_action;
  bool m_localAction;
  int  m_localActionType;
  int  m_wallGraphicIndex;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditSwapObject)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EditSwapObject)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnClear();
	afx_msg void OnRotate();
	afx_msg void OnSet();
	afx_msg void OnSkill();
	afx_msg void OnToggle();
	afx_msg void OnBrowse();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
  void Show(int id, bool show);
  void ExtractDataFromRecord(void);
  void EncodeDataIntoRecord(void);
  void UpdateActions(int mask);
  void SetButtons(int k);
  int  GetButtons(void);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITSWAPOBJECT_H__FD36A640_E4E1_11D6_A264_A19B7AE2B7E9__INCLUDED_)
