#if !defined(AFX_EDITTEXT_H__898C4440_D9FE_11D6_A264_B3ADA157F366__INCLUDED_)
#define AFX_EDITTEXT_H__898C4440_D9FE_11D6_A264_B3ADA157F366__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditText.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditText dialog

class EditText : public CDialog
{
// Construction
public:
	EditText(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EditText)
	enum { IDD = IDD_DLG_EditText };
	CEdit	m_textCtrl;
	CButton	m_editPortrait;
	CComboBox	m_skill4;
	CComboBox	m_skill3;
	CComboBox	m_skill2;
	CComboBox	m_skill1;
	CString	m_text;
	CString	m_explanation;
	BOOL	m_showText;
	CString	m_name;
	CString	m_title;
	UINT	m_maxHP;
	UINT	m_maxMana;
	UINT	m_maxStamina;
	int		m_male;
	int		m_editLuck;
	UINT	m_basicAttribute;
	int		m_attributePenalty;
	int		m_basicStatPenalty;
	int		m_randomPoints;
	//}}AFX_DATA
  RN m_object;
  CString m_origText;
  BOOL m_origShowText;
  TEXTTYPE m_textType;
  int m_attribute[7][5];
  bool m_editingPortrait;
  LOCATIONREL m_locr;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditText)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
  public:
void SetWindowSize(void);
void Show(int id, BOOL show);
void ExtractPortraitDataFromText(void);
void EncodePortraitDataIntoText();
int  Extract4(int *col);
int  Extract2(int *col);
int  Extract1(int *col);
void Encode4(int val);
void Encode2(int val);
void Encode1(int val);

protected:

	// Generated message map functions
	//{{AFX_MSG(EditText)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnEditPortrait();
	afx_msg void OnEditLuck();
	afx_msg void OnUpdateText();
	afx_msg void OnSubstitutionHelp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITTEXT_H__898C4440_D9FE_11D6_A264_B3ADA157F366__INCLUDED_)
