#if !defined(AFX_EDITINGOPTIONS_H__66B8E061_7C7C_11D7_A264_9C5B2A5D40CB__INCLUDED_)
#define AFX_EDITINGOPTIONS_H__66B8E061_7C7C_11D7_A264_9C5B2A5D40CB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditingOptions.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditingOptions dialog

class EditingOptions : public CDialog
{
// Construction
public:
	EditingOptions(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EditingOptions)
	enum { IDD = IDD_EditingOptions };
	BOOL	m_allowIllegalStairs;
	BOOL	m_allowIllegalPits;
	BOOL	m_allowEnhancedAndOr;
	BOOL	m_allowUnimportantObjects;
	BOOL	m_allowOrphanedObjects;
	BOOL	m_allowClonedObjects;
	BOOL	m_allowObjectsOnStairs;
	BOOL	m_useDMObjectNames;
	BOOL	m_allowPewRaKath;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditingOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EditingOptions)
	afx_msg void OnSetDefault();
	afx_msg void OnSetExpert();
	afx_msg void OnSetSafe();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
  void ExtractDataFromRecord(void);
  void EncodeDataIntoRecord(void);
  void SetAllOptions(unsigned int opt);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITINGOPTIONS_H__66B8E061_7C7C_11D7_A264_9C5B2A5D40CB__INCLUDED_)
