// FinePrint.cpp : implementation file
//

#include "stdafx.h"
#include "CSBuild.h"
#include "FinePrint.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// FinePrint dialog


FinePrint::FinePrint(CWnd* pParent /*=NULL*/)
	: CDialog(FinePrint::IDD, pParent)
{
	//{{AFX_DATA_INIT(FinePrint)
	m_FinePrint = _T("");
	m_agree = -1;
	//}}AFX_DATA_INIT
}


void FinePrint::DoDataExchange(CDataExchange* pDX)
{
  m_FinePrint = "";
  m_FinePrint += "Rules for using CSBuild\r\n\r\n";
  m_FinePrint += "This program is free.  You can also have the source code if you ask.\r\n\r\n";
  m_FinePrint += "There are a few things you should know:\r\n";
  m_FinePrint += "1) I am not currently developing the program except for my own use or\r\n";
  m_FinePrint += "     in response to requests (But see below.)\r\n";
  m_FinePrint += "2) The philosophy is to provide a program that is simple\r\n";
  m_FinePrint += "     to understand.  Sometimes that makes it tedious to use.\r\n";
  m_FinePrint += "3) It is supposed to work correctly.  When I find that it is\r\n";
  m_FinePrint += "     doing something wrong I fix it\r\n";
  m_FinePrint += "4) I cannot fix problems of which I am unaware.\r\n";
  m_FinePrint += "5) When you find that it is doing something wrong then you are\r\n";
  m_FinePrint += "     NOT allowed to complain until you have reported the problem\r\n";
  m_FinePrint += "     to me and I have refused to make it well.\r\n";
  m_FinePrint += "6) When you report a problem to me I will:\r\n";
  m_FinePrint += "            a) Forget it.  Be persistent.  Report again!\r\n";
  m_FinePrint += "            b) Tell you it cannot be fixed.  Now you are allowed to complain.\r\n";
  m_FinePrint += "            c) Tell you I will fix it someday.  Keep reminding me!\r\n";
  m_FinePrint += "            d) Fix it.  This is the preferred result.\r\n";
  m_FinePrint += "7) I entertain requests for enhancements.  See 6) above.\r\n";
  m_FinePrint += "     Again, you are not allowed to complain until you have requested\r\n";
  m_FinePrint += "     an enhancement and it has been refused.\r\n";
  m_FinePrint += "8) The general idea is that this program can read almost any dungeon or\r\n";
  m_FinePrint += "     savegame extant.  The result of editing can be played using the CSBwin runtime\r\n";
  m_FinePrint += "     engine.  Dungeons created by this editor should not cause any problems\r\n";
  m_FinePrint += "     for CSBwin.\r\n";
  m_FinePrint += "     As far as possible it should be immune to user stupidity.  ...Smile...\r\n";
  m_FinePrint += "     Again....I can't fix problems unless I know that they exist!  It is your\r\n";
  m_FinePrint += "     responsibility to find and report exceptions to this general rule.\r\n";
  m_FinePrint += "9) I ain't gonna document.  But I will answer questions pretty much\r\n";
  m_FinePrint += "     without limit.  Why don't you ask, write down the answers, and call\r\n";
  m_FinePrint += "     the result 'Documentation'.  I will include it in future releases\r\n";
  m_FinePrint += "     with your name attached.\r\n";
  m_FinePrint += "Additional rules to be announced without warning.\r\n";
  m_FinePrint += "\r\n";
  m_FinePrint += "You can communicate with me privately via\r\n";
  m_FinePrint += "        prsteven@facstaff.wisc.edu\r\n";
  m_FinePrint += "You can communiate publicly on the forums at\r\n";
  m_FinePrint += "        dmweb.free.fr\r\n";
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(FinePrint)
	DDX_Text(pDX, IDC_FinePrint, m_FinePrint);
	DDX_Radio(pDX, IDC_Agree, m_agree);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(FinePrint, CDialog)
	//{{AFX_MSG_MAP(FinePrint)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// FinePrint message handlers

BOOL FinePrint::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
