#if !defined(AFX_FIXCLONEDLG_H__54F6CE41_F518_11D7_A264_95D9C8218D2E__INCLUDED_)
#define AFX_FIXCLONEDLG_H__54F6CE41_F518_11D7_A264_95D9C8218D2E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FixCloneDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// FixCloneDlg dialog

class FixCloneDlg : public CDialog
{
// Construction
public:
	FixCloneDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(FixCloneDlg)
	enum { IDD = IDD_FixCloneDlg };
	CListBox	m_cloneList;
	CString	m_clonedObject;
	//}}AFX_DATA
  CHKERRMSG *m_pcem;
  //CHKERRMSG m_objectLocations;//This ensures they disappear.
  bool m_modified;
  int  m_listIndex;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(FixCloneDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(FixCloneDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDelete();
	afx_msg void OnMakeCopy();
	afx_msg void OnCopyAll();
	afx_msg void OnSelchangeCloneList();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
  void FillListBox(void);
  void SearchObjectList(RN obj, LOCATIONREL locr, CEMT cemt);
  void DescribeObject(void);
  void Show(int ID, bool show);
  RN DuplicateClone(CHKERRMSG *pcem);
  void SelectNonRepaired(void);
  CString GetGraphicName(const CHKERRMSG *pcem);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FIXCLONEDLG_H__54F6CE41_F518_11D7_A264_95D9C8218D2E__INCLUDED_)
