#if !defined(AFX_LEVELLOCATIONS_H__624256D8_C667_4FC1_A893_A48B5A1B208A__INCLUDED_)
#define AFX_LEVELLOCATIONS_H__624256D8_C667_4FC1_A893_A48B5A1B208A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LevelLocations.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// LevelLocations dialog

class LevelLocations : public CDialog
{
// Construction
public:
	LevelLocations(int level, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(LevelLocations)
	enum { IDD = IDD_LevelLocations };
	UINT	m_maxDistance;
	BOOL	m_partyLevelOnly;
	int		m_specialLocationName;
	UINT	m_y;
	UINT	m_x;
	int		m_level;
	//}}AFX_DATA

  int m_editLevel;
  int m_monsterMoveFilterLevel;
  int m_monsterMoveFilterX;
  int m_monsterMoveFilterY;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(LevelLocations)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
  void CaptureSpecialLocation(int locationID);
  void ExtractDataFromDungeon(void);
  void EncodeDataIntoDungeon(void);

protected:

	// Generated message map functions
	//{{AFX_MSG(LevelLocations)
	afx_msg void OnSelchangeSpecialLocationName();
	afx_msg void OnBrowse();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LEVELLOCATIONS_H__624256D8_C667_4FC1_A893_A48B5A1B208A__INCLUDED_)
