#if !defined(AFX_LOCATETEXT_H__78F64C20_26AB_11D8_A264_9179CCC81E7B__INCLUDED_)
#define AFX_LOCATETEXT_H__78F64C20_26AB_11D8_A264_9179CCC81E7B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LocateText.h : header file
//

class WordList
{
  CString **m_wordList;
  int m_numWord;
public:
  WordList(void);
  ~WordList(void);
  void Clear(void);
  void AddWord(const CString& word);
  int NumWord(void)const{return m_numWord;};
  CString GetWord(int i)const{return *(m_wordList[i]);};
};

/////////////////////////////////////////////////////////////////////////////
// LocateText dialog

class LocateText : public CDialog
{
// Construction
public:
	LocateText(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(LocateText)
	enum { IDD = IDD_LocateText };
	CEdit	m_resultCtrl;
	BOOL	m_floorText;
	BOOL	m_wallText;
	BOOL	m_scrolls;
	CString	m_searchWords;
	int		m_matchExact;
	//}}AFX_DATA
  WordList m_wordList;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(LocateText)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(LocateText)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnFind();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()


  void SearchAndDisplay(void);
  void SearchList(RN obj, 
                  const LOCATIONREL& locr,
                  CString& result);
  void MatchText(RN obj, 
                 const LOCATIONREL& locr,
                 CString& result);
  void SplitWords(void);
  void RememberSettings(void);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOCATETEXT_H__78F64C20_26AB_11D8_A264_9179CCC81E7B__INCLUDED_)
