// SelectFloorDlg.cpp : implementation file
//

#include "stdafx.h"
#include "CSBuild.h"
#include "SelectFloorDlg.h"
#include "Misc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// SelectFloorDlg dialog


SelectFloorDlg::SelectFloorDlg(CWnd* pParent /*=NULL*/)
	: CDialog(SelectFloorDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(SelectFloorDlg)
	m_floorList = -1;
	//}}AFX_DATA_INIT
}


void SelectFloorDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(SelectFloorDlg)
	DDX_Control(pDX, IDC_FloorList, m_floorListCtrl);
	DDX_LBIndex(pDX, IDC_FloorList, m_floorList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(SelectFloorDlg, CDialog)
	//{{AFX_MSG_MAP(SelectFloorDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// SelectFloorDlg message handlers

BOOL SelectFloorDlg::OnInitDialog() 
{
  FLOORTYPE ft;
  int index;
	CDialog::OnInitDialog();
  CString name;
	
	// TODO: Add extra initialization her
  for (ft.FirstType(); ft.IsLegal(); ft.NextType())
  {
    name = ft.Name();
    index = m_floorListCtrl.AddString(NicelyDecapitalize(name));
    m_floorListCtrl.SetItemData(index, ft.Integer());
  };
  m_floorListCtrl.SetCurSel(0);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void SelectFloorDlg::OnOK() 
{
  int index;
	// TODO: Add extra validation here
	CDialog::OnOK();
  index = m_floorListCtrl.GetItemData(m_floorList);
  m_floorType.Integer(index);
}
