#if !defined(AFX_MYCLISTCTRL_H__FA288001_FB97_11D6_A264_B1519B800BC1__INCLUDED_)
#define AFX_MYCLISTCTRL_H__FA288001_FB97_11D6_A264_B1519B800BC1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// myClistCtrl.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// myClistCtrl window

class myClistCtrl : public CListCtrl
{
// Construction
public:
	myClistCtrl();

// Attributes
  CEdit m_editCell;
  bool  m_editMode;
  int   m_editState;
  int   m_editMessageIndex;
  CString m_editCellText;
  CFont m_fnt;
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(myClistCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~myClistCtrl();

	// Generated message map functions
protected:
	//{{AFX_MSG(myClistCtrl)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

  bool DecodeStateEntry(CString& entry, int state, DSAAction *action);
  bool SelectEditCell(int item, int subItem);
  bool DeselectEditCell(void);
public:
  void OnOK(void);
  RECT GetRectangle(int state, int msgIndex);
  int  SetStateEntry(int state, int msgIndex, CString& str);
  CString GetStateEntry(int state, int messageIndex);
  void SetDSA(DSA *dsa);
  void GetDSA(DSA *dsa);
  bool EditMode(bool enableEdit, DSA *pDSA);
  //void DrawItem(LPDRAWITEMSTRUCT *p);
  void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYCLISTCTRL_H__FA288001_FB97_11D6_A264_B1519B800BC1__INCLUDED_)
