#if !defined(AFX_EDITDSA_H__C61B1AC0_1460_11D7_A264_F9C6294314D6__INCLUDED_)
#define AFX_EDITDSA_H__C61B1AC0_1460_11D7_A264_F9C6294314D6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditDSA.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditDSA dialog

class EditDSA : public CDialog
{
// Construction
public:
	EditDSA(LOCATIONREL locr, RN RNdsa, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EditDSA)
	enum { IDD = IDD_DLG_EditDSA };
	CStatic	m_valueLabelB;
	CStatic	m_valueLabelA;
	CStatic	m_rowLabelB;
	CStatic	m_rowLabelA;
	CStatic	m_positionLabelB;
	CStatic	m_positionLabelA;
	CStatic	m_levelLabelB;
	CStatic	m_levelLabelA;
	CStatic	m_columnLabelB;
	CStatic	m_columnLabelA;
	int		m_aIsTarget;
	int		m_bIsTarget;
	UINT	m_columnA;
	UINT	m_columnB;
	UINT	m_levelA;
	UINT	m_levelB;
	int		m_positionA;
	int		m_positionB;
	UINT	m_rowA;
	UINT	m_rowB;
	UINT	m_valueA;
	UINT	m_valueB;
	UINT	m_state;
	CString	m_dsaDescription;
	//}}AFX_DATA
  LOCATIONREL   m_locr;
  RN            m_RNdsa;
  ACTUATOR_DSA *m_pDSA;
  int           m_dsaLevelIndex;// relative to this level

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditDSA)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
  void Show(int id, bool show);

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EditDSA)
	afx_msg void OnAisInteger();
	afx_msg void OnAisTarget();
	afx_msg void OnBisInteger();
	afx_msg void OnBisTarget();
	afx_msg void OnSelectNewDSAType();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnBrowseA();
	afx_msg void OnBrowseB();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
  void ExtractDataFromRecord(void);
  bool EncodeDataIntoRecord(void);
  bool IsLegalTarget(int l, int x, int y, int p);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITDSA_H__C61B1AC0_1460_11D7_A264_F9C6294314D6__INCLUDED_)
