#if !defined(AFX_EDITLAUNCHER_H__11B93BC0_E125_11D6_A264_A149E85F2FA5__INCLUDED_)
#define AFX_EDITLAUNCHER_H__11B93BC0_E125_11D6_A264_A149E85F2FA5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditLauncher.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditLauncher dialog

class EditLauncher : public CDialog
{
// Construction
public:
	EditLauncher(LOCATIONREL locr, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EditLauncher)
	enum { IDD = IDD_DLG_EditLauncher };
	CComboBox	m_graphic;
	CComboBox	m_objectList;
	CComboBox	m_magicList;
	int		m_availableObject;
	UINT	m_energy;
	int		m_one;
	//}}AFX_DATA
  ACTUATOR_Launcher *m_pLauncher;
  LOCATIONREL m_locr;
  LEVELINFO m_levelInfo;
  int m_objectType;
  int m_magicType;
  int m_graphicListIndex;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditLauncher)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EditLauncher)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnAvailableObject();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  void FillObjectList(void);
  void FillMagicList(void);
  void Enable(int ID, bool show);
  void ExtractDataFromRecord(void);
  bool EncodeDataIntoRecord(void);
  void AddMagic(int n, char *name);
  void AddObject(int n, char *name);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITLAUNCHER_H__11B93BC0_E125_11D6_A264_A149E85F2FA5__INCLUDED_)
