#if !defined(AFX_EDITMISCOBJECT_H__8A737D01_E751_11D6_A264_C9C3F435BE73__INCLUDED_)
#define AFX_EDITMISCOBJECT_H__8A737D01_E751_11D6_A264_C9C3F435BE73__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditMiscObject.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditMiscObject dialog

class EditMiscObject : public CDialog
{
// Construction
public:
	EditMiscObject(LOCATIONREL locr,
                 RN RNmisc,
                 CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EditMiscObject)
	enum { IDD = IDD_DLG_EditMiscObject };
	CComboBox	m_objectType;
	BOOL	m_cursed;
	BOOL	m_important;
	UINT	m_value;
	int		m_partyA;
	//}}AFX_DATA

  LOCATIONREL m_locr;
  RN m_RNmisc;
  DB10 *m_pMisc;
  MISCTYPE m_miscType;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditMiscObject)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EditMiscObject)
	afx_msg void OnSelchangeObjectType();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  void ExtractDataFromRecord(void);
  bool EncodeDataIntoRecord(void);
  void Show(int id, bool show);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITMISCOBJECT_H__8A737D01_E751_11D6_A264_C9C3F435BE73__INCLUDED_)
