#if !defined(AFX_EDITMONSTERGENERATOR_H__78975421_D09B_11D6_A264_A4970B0E90CF__INCLUDED_)
#define AFX_EDITMONSTERGENERATOR_H__78975421_D09B_11D6_A264_A4970B0E90CF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditMonsterGenerator.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditMonsterGenerator dialog

class EditMonsterGenerator : public CDialog
{
// Construction
public:
	EditMonsterGenerator(LOCATIONREL locr,
                       RN RNmonsterGenerator,
                       CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EditMonsterGenerator)
	enum { IDD = IDD_EDIT_MonsterGenerator };
	CComboBox	m_floorGraphic;
	CComboBox	m_monsterList;
	int		m_fixed;
	UINT	m_numberOfMonsters;
	BOOL	m_audible;
	BOOL	m_onceOnly;
	UINT	m_disableTime;
	UINT	m_hitPoints;
	BOOL	m_invisibleMonster;
	BOOL	m_drawAsSize4Monster;
	int		m_alternateGraphic;
	//}}AFX_DATA

  ACTUATOR_MonsterGenerator *m_pMonsterGenerator;
  MONSTERTYPE m_monsterType;
  LOCATIONREL m_locr;
  int m_floorGraphicOrdinal;
  RN m_RNmonsterGenerator;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditMonsterGenerator)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EditMonsterGenerator)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  void ExtractDataFromRecord(void);
	bool EncodeDataIntoRecord(void);


};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITMONSTERGENERATOR_H__78975421_D09B_11D6_A264_A4970B0E90CF__INCLUDED_)
