#if !defined(AFX_EDITOBJECTHOLDER_H__A58E9F41_DF7A_11D6_A264_B9E9FBC38C26__INCLUDED_)
#define AFX_EDITOBJECTHOLDER_H__A58E9F41_DF7A_11D6_A264_B9E9FBC38C26__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditObjectHolder.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditObjectHolder dialog

class EditObjectHolder : public CDialog
{
// Construction
public:
	EditObjectHolder(LOCATIONREL locr, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EditObjectHolder)
	enum { IDD = IDD_DLG_EditObjectHolder };
	CComboBox	m_targetPosition;
	CComboBox	m_neededObject;
	CComboBox	m_graphic;
	BOOL	m_audible;
	BOOL	m_clearConditionMet;
	BOOL	m_clearConditionNotMet;
	UINT	m_delay;
	BOOL	m_onlyOnce;
	BOOL	m_setConditionMet;
	BOOL	m_setConditionNotMet;
	BOOL	m_toggleConditionMet;
	BOOL	m_toggleConditionNotMet;
	BOOL	m_skillConditionMet;
	BOOL	m_skillConditionNotMet;
	UINT	m_targetColumn;
	UINT	m_targetRow;
	//}}AFX_DATA

  LOCATIONREL m_locr;
  LEVELINFO m_levelInfo;
  ACTUATOR_ObjectHolder *m_pObjectHolder;
  int m_neededObjectIndex;
  MODIFIEDOBJECTTYPE m_particularObjectType;
  bool m_localAction;
  int m_targetPos;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditObjectHolder)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EditObjectHolder)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnClearConditionMet();
	afx_msg void OnClearConditionNotMet();
	afx_msg void OnSetConditionMet();
	afx_msg void OnSetConditionNotMet();
	afx_msg void OnToggleConditionMet();
	afx_msg void OnToggleConditionNotMet();
	afx_msg void OnSkillConditionMet();
	afx_msg void OnSkillConditionNotMet();
	afx_msg void OnBrowse();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  void FillWallDecorationsComboBox();
  void ExtractDataFromRecord(void);
  void EncodeDataInRecord(void);
  void UpdateAction(void);
  void Enable(int id, bool show);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITOBJECTHOLDER_H__A58E9F41_DF7A_11D6_A264_B9E9FBC38C26__INCLUDED_)
