#if !defined(AFX_EDITTARGET_H__AC98C5A1_6B83_11D7_A264_AFE567903223__INCLUDED_)
#define AFX_EDITTARGET_H__AC98C5A1_6B83_11D7_A264_AFE567903223__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditTarget.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditTarget dialog

class EditTarget : public CDialog
{
// Construction
public:
	EditTarget(LOCATIONREL locr,
             char *title,
             LOCATIONABS locaSource,
             bool multiLevel,
             CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EditTarget)
	enum { IDD = IDD_DLG_EditTarget };
	UINT	m_currentLevel;
	//}}AFX_DATA

  LOCATIONREL m_locr;
  int         m_currentX;
  int         m_currentY;
  char       *m_title;
  LOCATIONABS m_locaSource;
  bool        m_multiLevel;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditTarget)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation

  void ShowControl(int ID, bool show);
  void ReadOnlyControl(int ID, bool readOnly);
  void DrawLevel(CPaintDC *pDC, int level, bool drawTarget);

  
  protected:

	// Generated message map functions
	//{{AFX_MSG(EditTarget)
	virtual BOOL OnInitDialog();
	afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
	afx_msg void OnPaint();
	afx_msg void OnDownLevel();
	afx_msg void OnUpLevel();
	afx_msg void OnChangeLevel();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITTARGET_H__AC98C5A1_6B83_11D7_A264_AFE567903223__INCLUDED_)
