void NoSelection(void);
void InternalError(void);
void InternalError(char *msg);
//void Sorry(char *msg);
void Strange(const char *msg);
void Error(const char *msg);
void HelpMsg(const char *msg);
void NotImplemented(void);
int AreYouSure(const char *msg);
int ShouldWe(const char *msg);
void DungeonError(void);
void EnlargeError(void);
void MD5Init(void);
void MD5Update(unsigned char *input,
               ui32 inputLen);
void MD5Final(unsigned char *digest);



bool MessageBoxActive(void);

class OBJECTLIST;
extern char *dbNames[16];
CString DoorTypeName(int type);

void FillTargetListBox(CListBox *lb, 
                       LOCATIONREL locr, 
                       OBJECTLIST *objectList);
CString NicelyDecapitalize(CString& line);
CString DecodeText(const CString& str, TEXTTYPE flags);
LOCATIONREL SearchForRecord(DBTYPE dbType, int dbIndex);

class CROSSREF
{ //Quick trigger/target table.
  ui32 *(m_ref[32][32]);    //m_ref[srcX][dstX]
  ui32   m_size[32][32];
  ui32   m_allocated[32][32];
  bool   m_initialized;
  int    m_dx;
  int    m_sx;
  int    m_index;
  ui32   m_destCell;
  void   AddTriggersForCell(LOCATIONREL locr);
public:
  CROSSREF(void);
  ~CROSSREF(void);
  void   Clear(void);
  void AddTrigger(LOCATIONREL locrSrc, //trigger location
                  LOCATIONREL locrDst, //target location
                  int         type);   //0=teleporter 
                                       //1=actuator
                                       //2=unused
                                       //3=unused
  void Initialize(void);
  void RebuildTriggers(LOCATIONREL locrSrc);
  LOCATIONREL FirstTrigger(LOCATIONREL locrDest, int type);
  LOCATIONREL NextTrigger(void);
};

class OBJECTLIST
{
  class OBJENT
  {
  public:
    RN obj;
    LOCATIONREL locr;
  };
  OBJENT *list;
  int     nument;
public:
  OBJECTLIST(void);
  ~OBJECTLIST(void);
  int Insert(RN, LOCATIONREL);
  RN GetObject(int);
  LOCATIONREL GetLocation(int);
  int NumEnt(void);
};