// SelectWall.cpp : implementation file
//

#include "stdafx.h"
#include "CSBuild.h"
#include "SelectWall.h"
#include "Misc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// SelectWall dialog


SelectWall::SelectWall(CWnd* pParent /*=NULL*/)
	: CDialog(SelectWall::IDD, pParent)
{
	//{{AFX_DATA_INIT(SelectWall)
	m_wallList = -1;
	//}}AFX_DATA_INIT
}


void SelectWall::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(SelectWall)
	DDX_Control(pDX, IDC_WallList, m_wallListCtrl);
	DDX_LBIndex(pDX, IDC_WallList, m_wallList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(SelectWall, CDialog)
	//{{AFX_MSG_MAP(SelectWall)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// SelectWall message handlers

void SelectWall::OnOK() 
{
	// TODO: Add extra validation here
	
	int index;
	CDialog::OnOK();
  index = m_wallListCtrl.GetItemData(m_wallList);
  m_wallType.Integer(index);
}

BOOL SelectWall::OnInitDialog() 
{
  WALLTYPE wt;
  int index;
	CDialog::OnInitDialog();
  CString name;
	
	// TODO: Add extra initialization here
	
  for (wt.FirstType(); wt.IsLegal(); wt.NextType())
  {
    name = wt.Name();
    index = m_wallListCtrl.AddString(NicelyDecapitalize(name));
    m_wallListCtrl.SetItemData(index, wt.Integer());
  };
  m_wallListCtrl.SetCurSel(0);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
